# cookiecutter-basic

A basic cookiecutter template for most Androiddrew style repos.

## Usage

With [Cookiecutter installed](https://cookiecutter.readthedocs.io/en/stable/), execute the following command and provide your template parameters. 

```
cookiecutter https://git.runcible.io/androiddrew/cookiecutter-basic
```

Once templated, you can change into the new project directory and execute the `scripts/bootstrap.sh` script. 

```
cd <cookiecutter.project_slug>
./scripts/bootstrap.sh
```

This will create a Python virtual environment if one is not already enabled, install [pip-tools](https://github.com/jazzband/pip-tools/), compile the requirements.in and dev-requirements.in files, install the initial dependencies, initialize the project as a git repository, and install the [pre-commit hooks](https://pre-commit.com/). 

## Licenses

Within a `pyproject.toml` file the license section expects the string identifier as determined by https://spdx.org/licenses/. This project supports a small subset of these licenses. 

Example:
```
[project]
license = {text = "MIT"}
```
